diff (di): Display the differences between two paths.
usage: 1. diff [-r N[:M]] [TARGET[@REV]...]
       2. diff [-r N[:M]] --old=OLD-TGT[@OLDREV] [--new=NEW-TGT[@NEWREV]] \
               [PATH...]
       3. diff OLD-URL[@OLDREV] NEW-URL[@NEWREV]

  1. Display the changes made to TARGETs as they are seen in REV between
     two revisions.  TARGETs may be working copy paths or URLs.

     N defaults to BASE if any TARGET is a working copy path, otherwise it
     must be specified.  M defaults to the current working version if any
     TARGET is a working copy path, otherwise it defaults to HEAD.

  2. Display the differences between OLD-TGT as it was seen in OLDREV and
     NEW-TGT as it was seen in NEWREV.  PATHs, if given, are relative to
     OLD-TGT and NEW-TGT and restrict the output to differences for those
     paths.  OLD-TGT and NEW-TGT may be working copy paths or URL[@REV]. 
     NEW-TGT defaults to OLD-TGT if not specified.  -r N makes OLDREV default
     to N, -r N:M makes OLDREV default to N and NEWREV default to M.

  3. Shorthand for 'svn diff --old=OLD-URL[@OLDREV] --new=NEW-URL[@NEWREV]'

  Use just 'svn diff' to display local modifications in a working copy.

Valid options:
  -r [--revision] arg      : ARG (some commands also take ARG1:ARG2 range)
                             A revision argument can be one of:
                                NUMBER       revision number
                                "{" DATE "}" revision at start of the date
                                "HEAD"       latest in repository
                                "BASE"       base rev of item's working copy
                                "COMMITTED"  last commit at or before BASE
                                "PREV"       revision just before COMMITTED
  --old arg                : use ARG as the older target
  --new arg                : use ARG as the newer target
  -N [--non-recursive]     : operate on single directory only
  --diff-cmd arg           : use ARG as diff command
  -x [--extensions] arg    : pass ARG to --diff-cmd as options (default: '-u')
  --no-diff-deleted        : do not print differences for deleted files
  --notice-ancestry        : notice ancestry when calculating differences
  --force                  : force operation to run
  --username arg           : specify a username ARG
  --password arg           : specify a password ARG
  --no-auth-cache          : do not cache authentication tokens
  --non-interactive        : do no interactive prompting
  --config-dir arg         : read user configuration files from directory ARG

